### Hierarchy

- InterceptorCortege

## Index

### Constructors

- constructor

### Properties

- data
- fileMeta
- headers
- method
- originalData
- path

### Methods

- isTransaction

## Constructors

### constructor

- new InterceptorCortege(path: string, method: HttpMethod, headers: Map<string, string>, data?: object | string | number, originalData?: object | string | number | JsonTransform, fileMeta?: FileMeta): InterceptorCortege

- - Defined in repository/source/http/InterceptorCortege.ts:12

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### headers: Map<string, string>

  - ##### Optional data: object | string | number

  - ##### Optional originalData: object | string | number | JsonTransform

  - ##### Optional fileMeta: FileMeta

  #### Returns InterceptorCortege

## Properties

### Optional data

data: object | string | number

- Defined in repository/source/http/InterceptorCortege.ts:10

### Optional fileMeta

fileMeta: FileMeta

- Defined in repository/source/http/InterceptorCortege.ts:12

### headers

headers: Map<string, string>

- Defined in repository/source/http/InterceptorCortege.ts:9

### method

method: HttpMethod

- Defined in repository/source/http/InterceptorCortege.ts:8

### Optional originalData

originalData: object | string | number | JsonTransform

- Defined in repository/source/http/InterceptorCortege.ts:11

### path

path: string

- Defined in repository/source/http/InterceptorCortege.ts:7

## Methods

### isTransaction

- isTransaction(): boolean

- - Defined in repository/source/http/InterceptorCortege.ts:30

  #### Returns boolean

Generated using TypeDoc